/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomFile_H__
#define __GdomFile_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomFile GdomFile;
typedef struct _GdomFileClass GdomFileClass;


#define GDOM_TYPE_FILE            (gdom_file_get_type())
#define GDOM_FILE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_FILE, GdomFile))
#define GDOM_FILE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_FILE, GdomFile)Class)
#define GDOM_IS_FILE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_FILE))
#define GDOM_IS_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_FILE))
#define GDOM_FILE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_FILE, GdomFileClass))

typedef struct _GdomFilePrivate GdomFilePrivate;

struct _GdomFile {
    GdomDOMObject parent_instance;
    GdomFilePrivate *priv;
};

struct _GdomFileClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_file_get_type (void);

G_END_DECLS

#endif /* __GdomFile_H__ */
